%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	EV

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	EV - perl interface to libev, a high performance full-featured event loop
Name:		perl-%{perlname}
Version:	2.01
Release:	1
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=EV
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	libev-devel

%description
EV - perl interface to libev, a high performance full-featured event loop

This module provides an interface to libev 
(http://software.schmorp.de/pkg/libev.html).

For more details see: http://search.cpan.org/search?module=EV

%prep
%setup -q -n %{perlname}-%{version}

%build
# answer the questions
yes | perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.01-1
- Initial Release  
